@import "./vars.scss";

footer {
    display: block;
}
.footer-wrap-area {
    background-color: $dark-color;
    position: relative;
    z-index: 1;
    overflow: hidden;
}
.single-footer-card {
    margin-bottom: 25px;

    .logo {
        margin-bottom: 25px;

        a {
            font-size: 38px;
            color: $white-color;
            font-weight: 600;
        }
    }
    .contact-info {
        padding: 0;
        margin-bottom: 0;

        li {
            list-style-type: none;
            color: $white-color;
            margin-bottom: 15px;
            position: relative;
            padding-left: 28px;
            &:last-child {
                margin-bottom: 0;
            }
            i {
                font-size: 18px;
                color: $main-color;
                position: absolute;
                left: 0;
                top: 2px;
            }
            a {
                color: $white-color;

                &:hover {
                    color: $main-color;
                }
            }
        }
    }
    .social-icon {
        padding: 0;
        margin: {
            top: 20px;
            bottom: 0;
        };
        li {
            list-style-type: none;
            display: inline-block;
            margin-right: 5px;

            &:last-child {
                margin-right: 0;
            }
            a {
                i {
                    display: inline-block;
                    height: 35px;
                    width: 35px;
                    line-height: 35px;
                    font-size: 15.5px;
                    background-color: #C4C7D1;
                    color: $dark-color;
                    border-radius: 50px;
                    transition: $transition;
                    text-align: center;

                    &:hover {
                        background-color: $main-color;
                        color: $white-color;
                        
                    }
                }
            }
        }
    }
    h3 {
        font-size: 24px;
        font-weight: 500;
        margin-bottom: 25px;
        color: $white-color;
    }
    .links {
        padding: 0;
        margin-bottom: 0;

        li {
            list-style-type: none;
            margin-bottom: 20px;
            color: $white-color;

            &:last-child {
                margin-bottom: 0;
            }
            a {
                color: $white-color;

                &:hover {
                    color: $main-color;
                }
            }
        }
        &.with-dot {
            li {
                a {
                    position: relative;
                    padding-left: 20px;

                    &::before {
                        position: absolute;
                        content: "";
                        height: 10px;
                        width: 10px;
                        border-radius: 50px;
                        left: 0;
                        top: 50%;
                        transform: translateY(-50%);
                        background-color: $main-color;
                    }
                }
            }
        }
    }
    p {
        color: $white-color;
    }
    .newsletter-form {
        position: relative;
        margin-top: 25px;

        .form-control {
            background: $dark-color;
            border: 1px solid #C4C4C4;
            height: 55px;
            padding: 15px 20px;
            border-radius: 0;
            color: $white-color;
            transition: $transition;

            &::placeholder {
                color: $white-color;
                opacity: 0.2;
            }
            &:focus {
                border: 1px solid $main-color;
            }
        }
        .default-btn {
            border: none;
            position: absolute;
            right: 0;
            top: 0;
            height: 55px;
        }
        .validation-danger {
            color: $white-color;
            font-size: 14px;
            margin-top: 10px;
        }
    }
}
.copyright-wrap-area {
    margin-top: 75px;

    .inner-border {
        border-top: 1px solid #3d3d3d;
        padding: {
            top: 30px;
            bottom: 30px;
        };
        p {
            color: $white-color;

            a {
                font-weight: 600;
                color: $main-color;

                &:hover {
                    color: $optional-color;
                }
            }
        }
        .list {
            padding: 0;
            margin-bottom: 0;
            text-align: end;

            li {
                list-style-type: none;
                display: inline-block;
                margin-right: 30px;
                position: relative;

                &::before {
                    position: absolute;
                    content: "";
                    width: 1px;
                    height: 10px;
                    background-color: $white-color;
                    right: -16.8px;
                    top: 6.5px;
                }
                &:last-child {
                    margin-right: 0;

                    &::before {
                        display: none;
                    }
                }
                a {
                    color: $white-color;

                    &:hover {
                        color: $main-color;
                    }
                }
            }
        }
    }
}
.footer-wrap-shape {
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: -1;
}